org.apache.tinkerpop.gremlin.process.traversal.dsl.graph

## Class GraphTraversalSource.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversalSource.Builder

- All Implemented Interfaces:
    Serializable, TraversalSource.Builder<GraphTraversalSource>
  Enclosing class:
    GraphTraversalSource

  Deprecated.
  As of release 3.2.0. Please use `Graph.traversal(Class)`.

      @Deprecated
      public static final class GraphTraversalSource.Builder
      extends Object
      implements TraversalSource.Builder<GraphTraversalSource>

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphTraversalSource` | `create(Graph graph)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `GraphTraversalSource.Builder` | `engine(TraversalEngine.Builder engineBuilder)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `GraphTraversalSource.Builder` | `with(TraversalStrategy strategy)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `TraversalSource.Builder` | `without(Class<? extends TraversalStrategy> strategyClass)` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### engine

          @Deprecated
          public GraphTraversalSource.Builder engine(TraversalEngine.Builder engineBuilder)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Specified by:
        `engine` in interface `TraversalSource.Builder<GraphTraversalSource>`

    - #### with

          @Deprecated
          public GraphTraversalSource.Builder with(TraversalStrategy strategy)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Specified by:
        `with` in interface `TraversalSource.Builder<GraphTraversalSource>`

    - #### without

          @Deprecated
          public TraversalSource.Builder without(Class<? extends TraversalStrategy> strategyClass)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Specified by:
        `without` in interface `TraversalSource.Builder<GraphTraversalSource>`

    - #### create

          @Deprecated
          public GraphTraversalSource create(Graph graph)

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Specified by:
        `create` in interface `TraversalSource.Builder<GraphTraversalSource>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.